MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005517ardourfeaturespublic2013-06-07 02:022018-09-13 11:18
Reportercolinf 
Assigned Topaul 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005517: New intermediate 'Regions in active edit groups are edited together' setting
DescriptionI think that a setting for 'Regions in active edit groups are edited together' that considers regions equivalent when the bounds of one are either equal to or lie within the bounds of another would be useful.

This would fit my workflow editing multi-track live recordings very well, where in general, all tracks are edited together, but the timing of the edits in one or two tracks occasionally has to be adjusted. Nether of the two existing region equivalency modes does exactly what I want here: 'only when identical' of course stops working as soon as any regions are edited slightly differently within the group, and 'whenever they overlap' selects regions on both sides of the edit.
Additional InformationASCII-art examples to clarify how I think this new mode should work:

|---a---|
|--b--|

|---a---|
 |--b--|

|---a---|
  |--b--|
 - are equivalent.

|---a---|
   |--b--|

 |---a---|
|--b--|
 - are not.
TagsNo tags attached.
Attached Filespatch file icon enclosed-equivalent-regions.patch [^] (8,874 bytes) 2018-09-13 06:25 [Show Content]
patch file icon enclosed-equivalent-regions-5.12.patch [^] (7,609 bytes) 2018-09-13 09:59 [Show Content]

- Relationships

-  Notes
(0014963)
paul (administrator)
2013-06-10 09:10

I like it.
(0014973)
colinf (updater)
2013-06-10 10:29

I started to hack this together, and it seemed like a doddle, but I got totally stumped thinking up a name for the function. The standard 'identical' equivalence mode function is Region::equivalent() and the 'overlap' mode is Region::overlap_equivalent(), but what to call this one?

Also, I'm not sure whether it's a good idea to change the use_overlap_equivalency config setting from a bool to an int/enum for this third type, or to introduce a new config variable, or just change the overlap equivalency to work like this. Who uses overlap equivalency, anyway?
(0015889)
colinf (updater)
2014-09-19 11:36

I've implemented this now (I have it in a local branch), since I wanted it (especially in the face of #4834).

I made a new enumerated "region-equivalence" config setting, and got rid of the old "use-overlap-equivalency" boolean one, so anyone who had enabled the old one would lose their setting if the patch were to be merged as-is. I hope that's OK - I'd think that anyone who wants this setting knows they want it.

There's also a discussion to be had about what the default should be - obviously I'd like it to be my new mode, but I guess there's a consistency argument in favour of making it be the 'exact' equivalence mode as at present.
(0020385)
colinf (updater)
2018-09-13 10:02

Attached enclosed-equivalent-regions-5.12.patch applies on master (and 5.12), and Works For Me™.
(0020386)
paul (administrator)
2018-09-13 11:18

git-applied to master and committed as 9321f46c453b

- Issue History
Date Modified Username Field Change
2013-06-07 02:02 colinf New Issue
2013-06-10 09:10 paul Note Added: 0014963
2013-06-10 10:29 colinf Note Added: 0014973
2014-09-19 11:36 colinf Note Added: 0015889
2018-09-13 06:25 colinf File Added: enclosed-equivalent-regions.patch
2018-09-13 09:59 colinf File Added: enclosed-equivalent-regions-5.12.patch
2018-09-13 10:02 colinf Note Added: 0020385
2018-09-13 11:18 paul Note Added: 0020386
2018-09-13 11:18 paul Status new => resolved
2018-09-13 11:18 paul Resolution open => fixed
2018-09-13 11:18 paul Assigned To => paul


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker